DH-MAKE-GOSA(1)

NAME
dh-make-gosa - Debianizes the source of a given gosa plugin

SYNOPSIS
dh-make-gosa [OPTION]... SOURCE

DESCRIPTION
dh-make-gosa takes a directory or tar ball of an existing gosa plugin and adds debian information to it. Feel free to use dpkg-buildpackage to generate your own gosa-plugin package from source or svn and enable it in the gosa.conf(5) file to activate it.

OPTIONS

-r debian-release, --release debian-release
    Set the Debian release to debian-release when generating the Debian tree. Default is the unstable release.

--dest destination-directory
    Place where dh-make-gosa will place its working data while generating the source directory. Defaults to the current directory.

--section debian-section
    Set the Debian section to debian-section when generating the Debian tree. Defaults to the the web section.

--depends package,package,...
    Add additional dependencies to the Debian tree which did not get listed in the plugin.dsc file. This is a comma seperated list of Debian package names.

-e mail, --email mail
    Overrides the Debian packager defined inside the plugin.dsc file by the one specified by mail.

Example usage
# Check out a plugin from SVN
svn co https://oss.gonicus.de/repositories/gosa/trunk/gosa-plugins/samba /tmp/samba
# Debianize the tree
cd /tmp
dh-make-gosa --email cajus@debian.org --release etch --section web samba
# Build debian package
cd samba
dpkg-buildpackage -uc -us -rfakeroot
To build everything from the subversion repository which is GOsa related, please take a look at the contributed make-gosa-package script.

AUTHOR
Cajus Pollmeier <cajus@debian.org>

BUGS
Please report any bugs, or post any suggestions, to the GOsa mailing list <gosa-devel@oss.gonicus.de> or to <https://oss.gonicus.de/labs/gosa>

LICENCE AND COPYRIGHT
This code is part of GOsa (L<http://www.gosa-project.org>) Copyright (C) 2003-2009 GONICUS GmbH This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.